Loading...
Searching...
No Matches
BALL::PDBRecords Class Reference

`#include <BALL/FORMAT/PDBRecords.h>`

Inheritance diagram for BALL::PDBRecords:

## Public Types

typedef std::vector< String >::iterator | Iterator
typedef std::vector< String >::iterator | iterator
typedef std::vector< String >::const_iterator | ConstIterator
typedef std::vector< String >::const_iterator | const_iterator
typedef std::vector< String >::reverse_iterator | ReverseIterator
typedef std::vector< String >::reverse_iterator | reverse_iterator
typedef std::vector< String >::const_reverse_iterator | ConstReverseIterator
typedef std::vector< String >::const_reverse_iterator | const_reverse_iterator
typedef String | value_type
typedef String | ValueType
typedef String & | reference
typedef String & | Reference
typedef const String & | const_reference
typedef const String & | ConstReference
typedef std::vector< String >::difference_type | difference_type
typedef std::vector< String >::difference_type | DifferenceType
typedef std::vector< String >::size_type | size_type
typedef std::vector< String >::size_type | SizeType

## Public Member Functions

Constructors and Destructor
| PDBRecords ()
| PDBRecords (const PDBRecords &pdbi)
virtual | ~PDBRecords ()
PDBRecords & | operator= (const PDBRecords &rhs)
ConstIterator | begin () const
Iterator | begin ()
ConstIterator | end () const
Iterator | end ()
ConstReverseIterator | rbegin () const
ReverseIterator | rbegin ()
ConstReverseIterator | rend () const
ReverseIterator | rend ()
SizeType | size () const
SizeType | max_size () const
SizeType | capacity () const
bool | empty () const
void | clear ()
| Clear function of the OCI, doing nothing here.
void | resize (SizeType sz, ValueType c=ValueType())
Reference | front ()
ConstReference | front () const
Reference | back ()
ConstReference | back () const
void | push_back (ConstReference x)
void | insert (Iterator pos, ConstReference value)
void | insert (Iterator pos, SizeType n, ConstReference value)
void | pop_back ()
Iterator | erase (Iterator pos)
Iterator | erase (Iterator first, Iterator last)
bool | operator== (const PDBRecords &rhs) const
bool | operator!= (const PDBRecords &rhs) const
bool | operator< (const PDBRecords &rhs) const
bool | operator> (const PDBRecords &rhs) const
bool | operator<= (const PDBRecords &rhs) const
bool | operator>= (const PDBRecords &rhs) const
void | swap (PDBRecords &rhs)
ConstReference | operator[] (SizeType n) const
Reference | operator[] (SizeType n)
ConstReference | at (SizeType n) const
Reference | at (SizeType n)
Public Member Functions inherited from BALL::PersistentObject
| PersistentObject ()
virtual | ~PersistentObject ()
PersistenceManager & | operator>> (PersistenceManager &pm) const
virtual void | finalize ()
Public Member Functions inherited from BALL::Object
| Object ()
| Default constructor.
| Object (const Object &object)
| Copy constructor.
virtual | ~Object ()
| Destructor.
const Object & | operator= (const Object &)
bool | operator== (const Object &object) const
bool | operator!= (const Object &object) const
bool | operator< (const Object &object) const
bool | operator<= (const Object &object) const
bool | operator>= (const Object &object) const
bool | operator> (const Object &object) const
int | compare (const Object &object) const
virtual bool | isValid () const
virtual void | dump (::std::ostream &s=std::cout, Size depth=0) const
Handle | getHandle () const
Public Member Functions inherited from BALL::AutoDeletable
virtual | ~AutoDeletable ()
void * | operator new (size_t size)
void | operator delete (void *ptr)
void * | operator new (size_t size, void *ptr)
void | operator delete (void *ptr, void *)
bool | isAutoDeletable () const
void | setAutoDeletable (bool enable)

## Storable Interface

std::vector< String > | records_
| The PDB record buffer.
void | persistentWrite (PersistenceManager &pm, const char *name) const
void | persistentRead (PersistenceManager &pm)

## Additional Inherited Members

static Handle | getNextHandle ()
static Handle | getNewHandle ()
static void | clearLastPtr ()
| AutoDeletable ()
| AutoDeletable (const AutoDeletable &auto_deletable, bool deep=false)

## Detailed Description

PDB record class. This class contains PDB records in an undigested format and provides some means of digesting this format. It is meant to capture all records not parsed by GenericPDBFile and PDBFile.

  The class fulfills the requirements of an STL container and behaves mostly like the vector of Strings it actually is.

Definition at line 31 of file PDBRecords.h.

## Member Typedef Documentation

## const_iterator

typedef std::vector<String>::const_iterator BALL::PDBRecords::const_iterator

Definition at line 40 of file PDBRecords.h.

## const_reference

typedef const String& BALL::PDBRecords::const_reference

Definition at line 49 of file PDBRecords.h.

## const_reverse_iterator

typedef std::vector<String>::const_reverse_iterator BALL::PDBRecords::const_reverse_iterator

Definition at line 44 of file PDBRecords.h.

## ConstIterator

typedef std::vector<String>::const_iterator BALL::PDBRecords::ConstIterator

Definition at line 39 of file PDBRecords.h.

## ConstReference

typedef const String& BALL::PDBRecords::ConstReference

Definition at line 50 of file PDBRecords.h.

## ConstReverseIterator

typedef std::vector<String>::const_reverse_iterator BALL::PDBRecords::ConstReverseIterator

Definition at line 43 of file PDBRecords.h.

## difference_type

typedef std::vector<String>::difference_type BALL::PDBRecords::difference_type

Definition at line 51 of file PDBRecords.h.

## DifferenceType

typedef std::vector<String>::difference_type BALL::PDBRecords::DifferenceType

Definition at line 52 of file PDBRecords.h.

## Iterator

typedef std::vector<String>::iterator BALL::PDBRecords::Iterator

Definition at line 37 of file PDBRecords.h.

## iterator

typedef std::vector<String>::iterator BALL::PDBRecords::iterator

Definition at line 38 of file PDBRecords.h.

## Reference

typedef String& BALL::PDBRecords::Reference

Definition at line 48 of file PDBRecords.h.

## reference

typedef String& BALL::PDBRecords::reference

Definition at line 47 of file PDBRecords.h.

## reverse_iterator

typedef std::vector<String>::reverse_iterator BALL::PDBRecords::reverse_iterator

Definition at line 42 of file PDBRecords.h.

## ReverseIterator

typedef std::vector<String>::reverse_iterator BALL::PDBRecords::ReverseIterator

Definition at line 41 of file PDBRecords.h.

## size_type

typedef std::vector<String>::size_type BALL::PDBRecords::size_type

Definition at line 53 of file PDBRecords.h.

## SizeType

typedef std::vector<String>::size_type BALL::PDBRecords::SizeType

Definition at line 54 of file PDBRecords.h.

## value_type

typedef String BALL::PDBRecords::value_type

Definition at line 45 of file PDBRecords.h.

## ValueType

typedef String BALL::PDBRecords::ValueType

Definition at line 46 of file PDBRecords.h.

## Constructor & Destructor Documentation

## PDBRecords() [1/2]

BALL::PDBRecords::PDBRecords | ( |  | ) |

## PDBRecords() [2/2]

BALL::PDBRecords::PDBRecords | ( | const PDBRecords & | pdbi | ) |

## ~PDBRecords()

virtual BALL::PDBRecords::~PDBRecords | ( |  | ) |

virtual

## Member Function Documentation

## at() [1/2]

Reference BALL::PDBRecords::at | ( | SizeType | n | ) |

inline

Random access operator

Exceptions

  std::out_of_range | if n < 0 || n >= size()

Definition at line 153 of file PDBRecords.h.

## at() [2/2]

ConstReference BALL::PDBRecords::at | ( | SizeType | n | ) | const

inline

Random access operator

Exceptions

  std::out_of_range | if n < 0 || n >= size()

Definition at line 149 of file PDBRecords.h.

## back() [1/2]

Reference BALL::PDBRecords::back | ( |  | ) |

inline

Definition at line 113 of file PDBRecords.h.

## back() [2/2]

ConstReference BALL::PDBRecords::back | ( |  | ) | const

inline

Definition at line 115 of file PDBRecords.h.

## begin() [1/2]

Iterator BALL::PDBRecords::begin | ( |  | ) |

inline

Definition at line 83 of file PDBRecords.h.

## begin() [2/2]

ConstIterator BALL::PDBRecords::begin | ( |  | ) | const

inline

STL container compatibility interface. These methods just wrap the corresponding methods of std::vector. Refer to STL documentation for details.

Definition at line 81 of file PDBRecords.h.

## capacity()

SizeType BALL::PDBRecords::capacity | ( |  | ) | const

inline

Definition at line 101 of file PDBRecords.h.

## clear()

void BALL::PDBRecords::clear | ( |  | ) |

inline virtual

Clear function of the OCI, doing nothing here.

Reimplemented from BALL::Object.

Definition at line 105 of file PDBRecords.h.

## empty()

bool BALL::PDBRecords::empty | ( |  | ) | const

inline

Definition at line 103 of file PDBRecords.h.

## end() [1/2]

Iterator BALL::PDBRecords::end | ( |  | ) |

inline

Definition at line 87 of file PDBRecords.h.

## end() [2/2]

ConstIterator BALL::PDBRecords::end | ( |  | ) | const

inline

Definition at line 85 of file PDBRecords.h.

## erase() [1/2]

Iterator BALL::PDBRecords::erase | ( | Iterator | first,
|  | Iterator | last )

inline

Definition at line 127 of file PDBRecords.h.

## erase() [2/2]

Iterator BALL::PDBRecords::erase | ( | Iterator | pos | ) |

inline

Definition at line 125 of file PDBRecords.h.

## front() [1/2]

Reference BALL::PDBRecords::front | ( |  | ) |

inline

Definition at line 109 of file PDBRecords.h.

## front() [2/2]

ConstReference BALL::PDBRecords::front | ( |  | ) | const

inline

Definition at line 111 of file PDBRecords.h.

## insert() [1/2]

void BALL::PDBRecords::insert | ( | Iterator | pos,
|  | ConstReference | value )

inline

Definition at line 119 of file PDBRecords.h.

## insert() [2/2]

void BALL::PDBRecords::insert | ( | Iterator | pos,
|  | SizeType | n,
|  | ConstReference | value )

inline

Definition at line 121 of file PDBRecords.h.

## max_size()

SizeType BALL::PDBRecords::max_size | ( |  | ) | const

inline

Definition at line 99 of file PDBRecords.h.

## operator!=()

bool BALL::PDBRecords::operator!= | ( | const PDBRecords & | rhs | ) | const

inline

Definition at line 131 of file PDBRecords.h.

## operator<()

bool BALL::PDBRecords::operator< | ( | const PDBRecords & | rhs | ) | const

inline

Definition at line 133 of file PDBRecords.h.

## operator<=()

bool BALL::PDBRecords::operator<= | ( | const PDBRecords & | rhs | ) | const

inline

Definition at line 137 of file PDBRecords.h.

## operator=()

PDBRecords & BALL::PDBRecords::operator= | ( | const PDBRecords & | rhs | ) |

Assignment

## operator==()

bool BALL::PDBRecords::operator== | ( | const PDBRecords & | rhs | ) | const

inline

Definition at line 129 of file PDBRecords.h.

## operator>()

bool BALL::PDBRecords::operator> | ( | const PDBRecords & | rhs | ) | const

inline

Definition at line 135 of file PDBRecords.h.

## operator>=()

bool BALL::PDBRecords::operator>= | ( | const PDBRecords & | rhs | ) | const

inline

Definition at line 139 of file PDBRecords.h.

## operator[]() [1/2]

Reference BALL::PDBRecords::operator[] | ( | SizeType | n | ) |

inline

Definition at line 145 of file PDBRecords.h.

## operator[]() [2/2]

ConstReference BALL::PDBRecords::operator[] | ( | SizeType | n | ) | const

inline

Definition at line 143 of file PDBRecords.h.

## persistentRead()

void BALL::PDBRecords::persistentRead | ( | PersistenceManager & | pm | ) |

virtual

Persistent stream reading.

Reimplemented from BALL::PersistentObject.

## persistentWrite()

void BALL::PDBRecords::persistentWrite | ( | PersistenceManager & | pm,
|  | const char * | name ) const

virtual

Persistent stream writing.

Reimplemented from BALL::PersistentObject.

## pop_back()

void BALL::PDBRecords::pop_back | ( |  | ) |

inline

Definition at line 123 of file PDBRecords.h.

## push_back()

void BALL::PDBRecords::push_back | ( | ConstReference | x | ) |

inline

Definition at line 117 of file PDBRecords.h.

## rbegin() [1/2]

ReverseIterator BALL::PDBRecords::rbegin | ( |  | ) |

inline

Definition at line 91 of file PDBRecords.h.

## rbegin() [2/2]

ConstReverseIterator BALL::PDBRecords::rbegin | ( |  | ) | const

inline

Definition at line 89 of file PDBRecords.h.

## rend() [1/2]

ReverseIterator BALL::PDBRecords::rend | ( |  | ) |

inline

Definition at line 95 of file PDBRecords.h.

## rend() [2/2]

ConstReverseIterator BALL::PDBRecords::rend | ( |  | ) | const

inline

Definition at line 93 of file PDBRecords.h.

## resize()

void BALL::PDBRecords::resize | ( | SizeType | sz,
|  | ValueType | c = ValueType() )

inline

Definition at line 107 of file PDBRecords.h.

## size()

SizeType BALL::PDBRecords::size | ( |  | ) | const

inline

Definition at line 97 of file PDBRecords.h.

## swap()

void BALL::PDBRecords::swap | ( | PDBRecords & | rhs | ) |

inline

Definition at line 141 of file PDBRecords.h.

## Member Data Documentation

## records_

std::vector<String> BALL::PDBRecords::records_

protected

The PDB record buffer.

Definition at line 174 of file PDBRecords.h.